%global momorel 17
%global artsver 1.5.10
%global artsrel 13m
%global qtver 3.3.8
%global kdever 3.5.10
%global kdelibsrel 22m
%global kdebaserel 24m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Mind-mapping tool for KDE
Name: kdissert
Version: 1.0.7
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Productivity
URL: http://freehackers.org/~tnagy/kdissert.html
Source0: http://freehackers.org/~tnagy/%{name}/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-gcc43.patch
Patch2: %{name}-%{version}-linking.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase3 >= %{kdever}-%{kdebaserel}
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: python

%description
Kdissert is a mindmapping-like tool to help students to produce complicated 
documents very quickly and efficiently : presentations, dissertations, 
thesis, reports, etc. The concept is innovative : mindmaps produced using 
kdissert are processed to output near-ready-to-use documents. While 
targetted mostly at students, kdissert can also help teachers, decision 
makers, engineers and businessmen.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .lkdeui

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags} -std=gnu++98" \
./waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--qtincludes=%{qtdir}/include \
	--qtlibs=%{qtdir}/lib \
	--kdeincludes=%{_includedir}/kde \
	--kdelibs=%{_libdir}/kde3 \
	--want-rpath=0 \
	--nocache

./waf build %{?_smp_mflags} -v

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./waf install --destdir=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category X-KDE-More \
  --remove-category Utility \
  --add-category Office \
  --remove-key DocPath \
  --remove-category=QT \
  %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

# clean up
rm -f %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README ROADMAP
%{_bindir}/%{name}
%{_libdir}/kde3/libkdiss*.la
%{_libdir}/kde3/libkdiss*.so
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}part
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/*/*/*/%{name}*.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_datadir}/services/%{name}part.desktop

%changelog
* Wed May 17 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-17m)
- fix build by gcc7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.7-16m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.7-15m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-14m)
- full rebuild for mo7 release

* Sat Jul 10 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.7-13m)
- build fix with desktop-file-utils-0.16

* Sun May  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-12m)
- fix build with new gcc

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-11m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-10m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-9m)
- rebuild against rpm-4.6

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.7-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.7-7m)
- rebuild against gcc43

* Mon Feb 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.7-6m)
- add patch for gcc43, generated by gen43patch(v1)

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.7-5m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-4m)
- %%NoSource -> NoSource

* Sun Jun 24 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.7-3m)
- disable ~/.wafcache

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-2m)
- update desktop.patch (revise GenericName[ja])

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-1m)
- initial package for Momonga Linux
